From 0eb96701f4e2d3b0727a932ba26b55fabbc51be2 Mon Sep 17 00:00:00 2001
From: Scott Talbert <swt@techie.net>
Date: Mon, 28 Mar 2022 19:45:37 -0400
Subject: [PATCH] Disable test_src_alpha_sdl2_blitter on additional arches

---
 test/surface_test.py | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/test/surface_test.py b/test/surface_test.py
index ab9b0e6..4323503 100644
--- a/test/surface_test.py
+++ b/test/surface_test.py
@@ -1481,7 +1481,7 @@ class GeneralSurfaceTests(AssertRaisesRegexMixin, unittest.TestCase):
         self.assertEqual(results, results_expected)
 
     @unittest.skipIf(
-        "arm" in platform.machine() or "aarch64" in platform.machine(),
+        "arm" in platform.machine() or "aarch64" in platform.machine() or "mips" in platform.machine() or "ppc64le" in platform.machine() or "s390x" in platform.machine(),
         "sdl2 blitter produces different results on arm",
     )
     def test_src_alpha_sdl2_blitter(self):
-- 
2.35.1

